#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include "score.h"


MODULE = Align::NW	PACKAGE = Align::NW::MatrixPtr	PREFIX = matrix_

PROTOTYPES: ENABLE

Align::NW::Matrix *
matrix_new(package, pszA, pszB, pPayoff)
	char *  package
	char *	pszA
	char *	pszB
	Align::NW::Payoff * pPayoff
	CODE:
	RETVAL = matrix_new(pszA, pszB, pPayoff);
	OUTPUT:
	RETVAL

void
matrix_DESTROY(pMatrix)
	Align::NW::Matrix *	pMatrix

void
matrix_score(pMatrix)
	Align::NW::Matrix *	pMatrix

void
matrix_dump(pMatrix)
	Align::NW::Matrix *	pMatrix


Align::NW::Cell *
matrix_cell(pMatrix, row, col)
	Align::NW::Matrix *	pMatrix
	int			row
	int			col
	


MODULE = Align::NW	PACKAGE = Align::NW::CellPtr	PREFIX = cell_

PROTOTYPES: ENABLE

int
cell_row(pCell)
	Align::NW::Cell *	pCell

int
cell_col(pCell)
	Align::NW::Cell *	pCell

int
cell_score(pCell)
	Align::NW::Cell *	pCell

Align::NW::Cell *
cell_prev(pCell)
	Align::NW::Cell *pCell


MODULE = Align::NW	PACKAGE = Align::NW::PayoffPtr	PREFIX = payoff_

PROTOTYPES: ENABLE

Align::NW::Payoff *
payoff_new(package, match, mismatch, open, extend)
	char *  package
	int     match
	int     mismatch
	int     open
	int     extend
	CODE:
	RETVAL = payoff_new(match, mismatch, open, extend);
	OUTPUT:
	RETVAL

void
payoff_DESTROY(pPayoff)
	Align::NW::Payoff *	pPayoff

